Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.metadata
Interface MetadataExchange

All Superinterfaces:
  Capability, Initialization, InitializationParameters, Shutdown

All Known Implementing Classes:
  SimpleMetadataExchange

public interface MetadataExchange
extends Capability

MetadataExchange is an interface that represents the WS-MetadataExchange GetMetadata port type; it is based on WS-MEX 09/04. It does not include the concept of metadata references, only the direct lookup of metadata from the resource itself.

Author:
  Dan Jemiolo (danj)

Method Summary
`org.w3c.dom.Element[]` | `getMetadata(java.lang.String dialect)` Returns the XML fragments (sometimes a whole document) that describes the desired metadata.

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Method Detail

### getMetadata

    public org.w3c.dom.Element[] getMetadata(java.lang.String dialect)

  Returns the XML fragments (sometimes a whole document) that describes the desired metadata.

  Parameters:
    `dialect` - The URI describing the type of metadata to search for. This may be WSDL, RMD, WS-Policy, or others.
  Returns:
    The XML fragment(s) that describe the desired metadata. If the resource has no such metadata, the array is empty.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD